package com.xinelu.familydoctor.service;

import com.xinelu.familydoctor.entity.EvaluateSurvey;

import java.util.List;

public interface EvaluateSurveyService {
    List<EvaluateSurvey> findList(EvaluateSurvey entity);

    /**
     * 获取问卷
     * @param surveySubject 问卷主题
     * @return {@link com.xinelu.familydoctor.entity.EvaluateSurvey}
     * @author gaoyu
     * @date 2023-10-12 17:23
    */
    EvaluateSurvey getSurvey(String surveySubject);

    void insert(EvaluateSurvey entity);

    void update(EvaluateSurvey entity);
}
